Java Problem!

Dieses Thema im Forum "Technischer Support" wurde erstellt von Zombiebo5s, 17. Mai 2015.

  1. Zombiebo5s
    Offline

    Zombiebo5s

    Registriert seit:
    22. März 2015
    Beiträge:
    21
    kennt sich da wer zufällig aus


    [16:50:58] [Server thread/ERROR]: Error occurred while enabling Essentials v2.13.1 (Is it up to date?)
    java.lang.NoSuchMethodError: com.google.common.cache.CacheBuilder.maximumSize(I)Lcom/google/common/cache/CacheBuilder;
    at com.earth2me.essentials.UserMap.<init>(UserMap.java:27) ~[?:?]
    at com.earth2me.essentials.Essentials.onEnable(Essentials.java:195) ~[?:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[minecraft_server.jar:git-Bukkit-42ebec1]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:327) [minecraft_server.jar:git-Bukkit-42ebec1]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:404) [minecraft_server.jar:git-Bukkit-42ebec1]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugin(CraftServer.java:340) [minecraft_server.jar:git-Bukkit-42ebec1]
    at org.bukkit.craftbukkit.v1_8_R1.CraftServer.enablePlugins(CraftServer.java:312) [minecraft_server.jar:git-Bukkit-42ebec1]
    at net.minecraft.server.v1_8_R1.MinecraftServer.q(MinecraftServer.java:394) [minecraft_server.jar:git-Bukkit-42ebec1]
    at net.minecraft.server.v1_8_R1.MinecraftServer.k(MinecraftServer.java:362) [minecraft_server.jar:git-Bukkit-42ebec1]
    at net.minecraft.server.v1_8_R1.MinecraftServer.a(MinecraftServer.java:317) [minecraft_server.jar:git-Bukkit-42ebec1]
    at net.minecraft.server.v1_8_R1.DedicatedServer.init(DedicatedServer.java:190) [minecraft_server.jar:git-Bukkit-42ebec1]
    at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:473) [minecraft_server.jar:git-Bukkit-42ebec1]
    at java.lang.Thread.run(Thread.java:745) [?:1.7.0_76]
     
    #1
  2. LordKaktus
    Offline

    LordKaktus

    Registriert seit:
    31. Dezember 2014
    Beiträge:
    66
    Ne, dad kennt keiner.
    Sieht aber so aus, als ob essentials probleme hat etwas aus "net.minecraft.server.v1_8_R1.MinecraftServer" zu laden.
    Vermutlich flasche Version von essentials oder spigot/bukkit
     
    #2
  3. Majoox
    Online

    Majoox

    Registriert seit:
    6. Mai 2014
    Beiträge:
    833
    Ort:
    Deutschland
    Minecraft:
    Majoox
    Hoffnungslos verloren. Server bitte schließen.

    Essentials gibts nicht für die 1.8
     
    #3
  4. Nightishaman
    Offline

    Nightishaman

    Registriert seit:
    3. Januar 2015
    Beiträge:
    51
    Doch Essentials funktioniert mit einigen Veränderungen auch unter der 1.8. Außerdem ist das hier kein Fehler dass er nichts laden kann. Er findet eine Methode in CacheBuilder nicht. Das hat was mit der API vom Server zu tun. Liegt daran dass Essentials auch einfach prüfen könnte ob die Methode existiert und dann ne Fehlermeldung Userfreundlich ausgeben(Reflection)
     
    #4
  5. Zombiebo5s
    Offline

    Zombiebo5s

    Registriert seit:
    22. März 2015
    Beiträge:
    21
    ok kann man das beheben?

    und es gibt essentials für 1.8 habe es selber auf nem anderen server laufen nur bei dem will es irgenwie nicht
     
    #5
  6. CoLu
    Offline

    CoLu

    Registriert seit:
    31. Oktober 2013
    Beiträge:
    314
    Minecraft:
    CoLu
    #6
  7. Zombiebo5s
    Offline

    Zombiebo5s

    Registriert seit:
    22. März 2015
    Beiträge:
    21
    ja von da hab ich es runtergeladen und alles andere auch
     
    #7
  8. Zombiebo5s
    Offline

    Zombiebo5s

    Registriert seit:
    22. März 2015
    Beiträge:
    21
    danke noch mal für den link es geht jz
     
    #8
  9. CoLu
    Offline

    CoLu

    Registriert seit:
    31. Oktober 2013
    Beiträge:
    314
    Minecraft:
    CoLu
    kein problem!
     
    #9